/**
 * 
 */
package com.brocade.dcm.util.authentication;

import java.io.IOException;

import org.jboss.as.domain.management.plugin.AuthenticationPlugIn;
import org.jboss.as.domain.management.plugin.Credential;
import org.jboss.as.domain.management.plugin.Identity;
import org.jboss.as.domain.management.plugin.PasswordCredential;

/**
 * @author akshirsa
 *
 */
public class DcmAuthenticationPlugin implements AuthenticationPlugIn<Credential>{

  @Override
  public Identity<Credential> loadIdentity(String userName, String realm) throws IOException {
    return new SampleIdentity(userName, realm);
  }
  

  private static class SampleIdentity implements Identity<Credential> {
    private final String userName;
    private final Credential credential;

    private SampleIdentity(final String userName, final String password) {
        this.userName = userName;
        this.credential = new PasswordCredential(password.toCharArray());
    }

    public String getUserName() {
        return userName;
    }

    public Credential getCredential() {
        return credential;
    }
}
  
}
